OpenapiGenerated
Find a scheduled cluster upgrade by identity.
GET
organisationSlug*scheduledClusterUpgradeIdentity*stringFormat
uuidRequest was successfully processed. The response body contains the requested data.
application/json- response
identity?stringFormat
uuidclusterIdentity?stringFormat
uuidcreatedAt?stringFormat
date-timemodifiedAt?stringFormat
date-timewindowStart?stringFormat
date-timewindowEnd?stringFormat
date-timereason?stringfromClusterVersion?stringtoClusterVersion?stringstatus?stringValue in
"REQUESTED""SCHEDULED""SCHEDULED_NOTIFIED""IN_PROGRESS""SUCCEEDED""SUPERSEDED""FAILED""MISSED"clusterSlug?stringenvironmentSlug?stringorganisationSlug?stringscheduleRequestDate?stringFormat
date-timeignoreMaintenanceSchedule?booleancurl -X GET 'https://api.avisi.cloud/api/v1/orgs/slugValue,string/scheduled-cluster-upgrades/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "clusterIdentity": "5e08fe67-1274-475d-bd0c-a65b0330507f", "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "windowStart": "2019-08-24T14:15:22Z", "windowEnd": "2019-08-24T14:15:22Z", "reason": "string", "fromClusterVersion": "string", "toClusterVersion": "string", "status": "REQUESTED", "clusterSlug": "string", "environmentSlug": "string", "organisationSlug": "string", "scheduleRequestDate": "2019-08-24T14:15:22Z", "ignoreMaintenanceSchedule": true}